#include <Arduino.h>

#include "settings.h"


void power_gps_wakeup() {
	Serial.println("Warn: GPS wakeup isn't implemented yet.");
}

void power_gps_standby() {
	Serial.println("Warn: GPS standby isn't implemented yet.");
}

void power_off() {
	Serial.println(F("[power] Beginning shutdown sequence"));
	Serial.println(F("[power] Switching GPS module to standby"));
	power_gps_standby();
	
	Serial.println(F("[power] Signalling TPL5111"));
	pinMode(PIN_TPL_DONE, OUTPUT);
	digitalWrite(PIN_TPL_DONE, HIGH);
	
	// Wait until we're turned off
	while(true) delay(100);
}
